Page MenuHomePhabricator

Replace wgVisualEditorNamespaces with a 2D array of namespace => enabled state
Closed, ResolvedPublic8 Story Points

Description

Right now wgVisualEditorNamespaces is a 1D list of namespaces in which VE is enabled. Instead, make this a 2D list of namespace => enabled states with a different name (e.g. wgVisualEditorAvailableNamespaces) so that we can configure namespace enablement better.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix part of the VE NS config issue
mediawiki/extensions/VisualEditor : masterRevert "Revert "Replace wgVisualEditorNamespaces with an associative array""
mediawiki/extensions/VisualEditor : masterReplace wgVisualEditorNamespaces with an associative array

Event Timeline

Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 7:15 PM
Krenair added a subscriber: Legoktm.Jul 9 2015, 9:33 PM

Per option 3 in @Legoktm's comment in https://gerrit.wikimedia.org/r/#/c/223080/
This would also solve our double-listing of the User namespace in some wikis' preferences

Change 223967 had a related patch set uploaded (by Alex Monk):
Replace wgVisualEditorNamespaces with an associative array

https://gerrit.wikimedia.org/r/223967

Jdforrester-WMF triaged this task as Normal priority.Jul 21 2015, 6:44 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set Security to None.
Jdforrester-WMF closed this task as Resolved.Jul 23 2015, 11:57 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 223967 merged by jenkins-bot:
Replace wgVisualEditorNamespaces with an associative array

https://gerrit.wikimedia.org/r/223967

Change 228198 had a related patch set uploaded (by Alex Monk):
Fix part of the VE NS config issue

https://gerrit.wikimedia.org/r/228198

Change 228746 had a related patch set uploaded (by Alex Monk):
Revert "Revert "Replace wgVisualEditorNamespaces with an associative array""

https://gerrit.wikimedia.org/r/228746

Change 228746 merged by jenkins-bot:
Revert "Revert "Replace wgVisualEditorNamespaces with an associative array""

https://gerrit.wikimedia.org/r/228746

Change 228198 merged by jenkins-bot:
Fix part of the VE NS config issue

https://gerrit.wikimedia.org/r/228198

Krenair closed this task as Resolved.Aug 3 2015, 12:04 AM